<?php

/**
 * 渠道数据文件
 */
Route::group(['domain' => env('MANAGE_DOMAIN'), 'namespace' => 'App\Http\Controllers\Manage\Channel', 'prefix' => 'api/channel', 'middleware' => 'ManageApiAuth'], function () {

    //获取所有渠道
    Route::get('getChannelList', 'ChannelsController@getChannelList');

    //创建渠道
    Route::get('create', 'ChannelsController@create');

    //根据手机号获取
    Route::get('getByPhone', 'ChannelsController@getByPhone');

    //根据手机号获取
    Route::get('getByPhone', 'ChannelsController@getByPhone');

    //根据id获取渠道信息
    Route::get('getById', 'ChannelsController@getById');

    //根据id获取渠道名称
    Route::get('getChannelNameById', 'ChannelsController@getChannelNameById');

    //获取渠道数据
    Route::get('getChannleData', 'ChannelDataController@getChannleData');

    //添加公司
    Route::post('company/add', 'CompanyController@addCompany');
    //删除公司
    Route::post('company/remove', 'CompanyController@rmCompany');
    //更新公司
    Route::post('company/update', 'CompanyController@updateCompany');
    //公司列表
    Route::get('company/list', 'CompanyController@getList');
    //公司列表
    Route::get('company/allList', 'CompanyController@getAllList');
    Route::get('company/getChannelList', 'CompanyController@getChannelList');
    //添加书籍
    Route::post('company/addBook', 'CompanyController@addCompanyBook');
    //删除书籍
    Route::post('company/rmBook', 'CompanyController@rmCompanyBook');
    Route::get('company/listByBookId', 'CompanyController@getListByBookId');
    //设置公司所在的城市
    Route::post('company/setChannelCityInfo', 'CompanyController@setChannelCityInfo');


    //获取渠道列表
    Route::get('getList', 'ChannelsController@getList');
    //更新渠道信息
    Route::any('updateInfo', 'ChannelsController@updateChannelData');
    //获取渠道列表新
    Route::get('getChannelUserList', 'ChannelUserController@getList');
    Route::get('getChannelAllUserList', 'ChannelUserController@getAllList');
    //更新渠道信息新
    Route::any('updateChannelUserInfo', 'ChannelUserController@updateChannelData');


    Route::any('getBusinessChannelDayList', 'BusinessChannelController@getBusinessChannelDayList');
    Route::any('getBusinessChannelList', 'BusinessChannelController@getBusinessChannelList');
    Route::any('getBusinessCompanyList', 'BusinessChannelController@getBusinessCompanyList');
    Route::any('getBusinessChannelSingle', 'BusinessChannelController@getBusinessChannelSingle');
    Route::any('getBusinessDataList', 'BusinessChannelController@getBusinessDataList');
    Route::any('getCompanyWeekPromotion', 'BusinessChannelController@getCompanyLastWeekPromotion');

    Route::get('getBusinessChannelData', 'BusinessChannelDataController@getBusinessChannelData');
    Route::get('exportBusinessChannelData', 'BusinessChannelDataController@exportBusinessChannelData');

    //获取公司服务号列表
    Route::get('getCompanyServiceAccount','BusinessChannelController@getServiceAccount');

    //获取满意度调查信息
    Route::get('getQuestionNaires','ChannelQuestionNaireController@get_question_naires');

    //渠道活动
    Route::post('addActivity','ChannelActivityController@addActivity');
    Route::get('getActivity','ChannelActivityController@getActivities');

    //ChannelSellPlatform
    Route::get('channelSellPlatform/getByCode','ChannelSellPlatformController@getChannelSellPlatformByCode');
    Route::get('channelSellPlatform/getById','ChannelSellPlatformController@getChannelSellPlatformById');
    Route::get('channelSellPlatform/getList','ChannelSellPlatformController@getList');
    Route::post('channelSellPlatform/updateStatus','ChannelSellPlatformController@updateStatus');
    Route::get('channelSellPlatform/getChannelBookShellList','ChannelSellPlatformController@getChannelBookShellList');
    Route::post('channelSellPlatform/createOrUpdate','ChannelSellPlatformController@createOrUpdateChannelSellPlatform');
    Route::post('channelSellPlatform/importChannelBookSell','ChannelSellPlatformController@importChannelBookSell');
});